<template>
  <section
    class="relative flex items-center flex-col pt-10 pb-4 px-4 container-form-login"
  >
    <form class="w-full flex items-center flex-col">
      <v-otp-input
        class="gap-4 mt-4 mb-20"
        ref="otpInput"
        input-classes="w-20 h-20 base:w-16 base:h-16 small:w-14 small:w-14 smallest:h-12 smallest:w-12 flex justify-center items-center bg-1100 rounded-t-2xl rounded-b-2xl text-center error-input focus:border-0 focus:outline-0"
        input-type="text"
        separator=" "
        :num-inputs="4"
        :should-auto-focus="true"
        :placeholder="['-', '-', '-', '-']"
        :is-disabled="isDisabled"
        @on-change="handleOnChange"
        @on-complete="handleOnComplete"
      />
      <button
        class="w-full py-4 small:py-3.5 bg-400 font-medium text-100 rounded-full"
      >
        Masuk
      </button>
    </form>
  </section>
</template>

<script>
import VOtpInput from "vue3-otp-input";
import { ref } from "vue";
export default {
  name: "FormVerification",
  components: {
    VOtpInput,
  },
  data() {
    return {
      event: {
        phoneNumber: "",
      },
    };
  },

  setup() {
    const otpInput = ref(null);
    const hasError = ref(false);

    const handleOnComplete = (value) => {
      console.log("OTP completed: ", value);
    };

    const handleOnChange = (value) => {
      console.log("OTP changed: ", value);
    };
    return {
      handleOnComplete,
      handleOnChange,
      otpInput,
      hasError,
    };
  },
};
</script>
